# Module toml::value

source · [−]
Expand description

Definition of a TOML value

## Re-exports

`pub use crate::map::Entry;`
`pub use crate::map::Map;`

## Structs

Date

A parsed TOML date value

Datetime

A parsed TOML datetime value

DatetimeParseError

Error returned from parsing a `Datetime` in the `FromStr` implementation.

Time

A parsed TOML time value

## Enums

Offset

A parsed TOML time offset

Value

Representation of a TOML value.

## Traits

Index

Types that can be used to index a `toml::Value`

## Type Definitions

Array

Type representing a TOML array, payload of the `Value::Array` variant

Table

Type representing a TOML table, payload of the `Value::Table` variant. By default it is backed by a BTreeMap, enable the `preserve_order` feature to use a LinkedHashMap instead.